Telephony
Update phone number
Update a phone number and bind it to the agents that handle its calls.
PATCH
/
v1
/
telephony
/
phone-numbers
/
{id}
Update (bind) a phone number
curl --request PATCH \
--url https://api.persistence.dev/v1/telephony/phone-numbers/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"allowedInboundCountries": [
123
],
"allowedOutboundCountries": [
123
],
"friendlyName": [
123
],
"inboundAgentId": [
123
],
"label": [
123
],
"outboundAgentId": [
123
],
"outboundTermination": [
123
],
"useSameForInbound": [
123
]
}
'import requests
url = "https://api.persistence.dev/v1/telephony/phone-numbers/{id}"
payload = {
"allowedInboundCountries": [123],
"allowedOutboundCountries": [123],
"friendlyName": [123],
"inboundAgentId": [123],
"label": [123],
"outboundAgentId": [123],
"outboundTermination": [123],
"useSameForInbound": [123]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowedInboundCountries: [123],
allowedOutboundCountries: [123],
friendlyName: [123],
inboundAgentId: [123],
label: [123],
outboundAgentId: [123],
outboundTermination: [123],
useSameForInbound: [123]
})
};
fetch('https://api.persistence.dev/v1/telephony/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowedInboundCountries": [
"<string>"
],
"allowedOutboundCountries": [
"<string>"
],
"country": "<string>",
"createdAt": "<string>",
"friendlyName": "<string>",
"id": "<string>",
"inboundAgentName": "<string>",
"inboundAgentPublicId": "<string>",
"inboundWebhookUrl": "<string>",
"isCustomerManaged": true,
"isInboundReady": true,
"isOutboundReady": true,
"label": "<string>",
"outboundAgentName": "<string>",
"outboundAgentPublicId": "<string>",
"phoneNumber": "<string>",
"provider": "<string>",
"providerCurrency": "<string>",
"providerMonthlyCost": 123,
"sipConfig": {
"ipAllowlist": [
"<string>"
],
"password": "<string>",
"terminationUrl": "<string>",
"transport": "<string>",
"username": "<string>"
},
"spaceId": "<string>",
"status": "<string>",
"updatedAt": "<string>"
}{
"code": "<string>",
"error": "<string>"
}{
"code": "<string>",
"error": "<string>"
}{
"code": "<string>",
"error": "<string>"
}{
"code": "<string>",
"error": "<string>"
}Authorizations
API key issued for your workspace.
Path Parameters
Phone Number ID
Body
application/json
Update request
Response
OK
Show child attributes
Show child attributes
⌘I
Update (bind) a phone number
